import request from '@/utils/request'

// 查询政协会议活动列表
export function listConference(query) {
  return request({
    url: '/zxConference/conference/list',
    method: 'get',
    params: query
  })
}

export function listConferencebu(query) {
  return request({
    url: '/zxConference/conference/listNoPage',
    method: 'get',
    params: query
  })
}



// 查询政协会议活动详细
export function getConference(data) {
  return request({
    url: '/zxConference/conference/info' ,
    method: 'post',
    data: data
  })
}


export function setPass(data) {
  return request({
    url: '/zxConference/conference/updateApproval' ,
    method: 'post',
    data: data
  })
}


// 会议活动人员-详情
export function getursef(data) {
  return request({
    url: '/zxConference/conference/getUserInfo',
    method: 'post',
    data: data
  })
}


// 新增政协会议活动
export function addConference(data) {
  return request({
    url: '/zxConference/conference',
    method: 'post',
    data: data
  })
}

export function updateReply(data) {
  return request({
    url: '/zxConference/conference/updateReply',
    method: 'post',
    data: data
  })
}



// 修改政协会议活动
export function updateConference(data) {
  return request({
    url: '/zxConference/conference/put',
    method: 'post',
    data: data
  })
}

// 删除政协会议活动
export function delConference(conferenceId) {
  return request({
    url: '/zxConference/conference/delete/' + conferenceId,
    method: 'get'
  })
}
