import request from '@/utils/request'

// 查询信息评论列表
export function listPinglun(query) {
  return request({
    url: '/system/pinglun/list',
    method: 'get',
    params: query
  })
}

// 查询信息评论详细
export function getPinglun(infoPinglunId) {
  return request({
    url: '/system/pinglun/' + infoPinglunId,
    method: 'get'
  })
}

// 新增信息评论
export function addPinglun(data) {
  return request({
    url: '/system/pinglun',
    method: 'post',
    data: data
  })
}

// 修改信息评论
export function updatePinglun(data) {
  return request({
    url: '/system/pinglun/put',
    method: 'post',
    data: data
  })
}

// 删除信息评论
export function delPinglun(infoPinglunId) {
  return request({
    url: '/system/pinglun/delete/' + infoPinglunId,
    method: 'get'
  })
}
