import request from '@/utils/request'

// 查询社情民意信息列表
export function listInfolb(query) {
  return request({
    url: '/sqmyInfo/info/list',
    method: 'get',
    params: query
  })
}

export function listInfolbs(query) {
  return request({
    url: '/sqmyInfo/info/list',
    method: 'get',
    params: query
  })
}

export function listInfolbcb(query) {
  return request({
    url: '/sqmyInfo/info/sqmycbList',
    method: 'get',
    params: query
  })
}


// 统计
export function listInfolbtj(query) {
  return request({
    url: '/sqmyInfo/info/list/statistics',
    method: 'get',
    params: query
  })
}
export function cbdwdfwy(data) {
  return request({
    url: '/sqmyInfo/info/cbdwdfwy',
   method: 'post',
   data: data
  })
}


// 查询社情民意信息详细
export function getInfo(sqmyId) {
  return request({
    url: '/sqmyInfo/info/' + sqmyId,
    method: 'get'
  })
}

// 新增社情民意信息
export function addInfo(data) {
  return request({
    url: '/sqmyInfo/info',
    method: 'post',
    data: data
  })
}

// 是否立案
export function isRecord(data) {
  return request({
    url: '/sqmyInfo/info/isRecord',
    method: 'post',
    data: data
  })
}

export function idea(data) {
  return request({
    url: '/sqmyInfo/info/idea',
    method: 'post',
    data: data
  })
}

// 单位答复
export function reply(data) {
  return request({
    url: '/sqmy/unit/reply',
    method: 'post',
    data: data
  })
}

// 推荐重点
export function keyPoint(data) {
  return request({
    url: '/sqmyInfo/info/keyPoint',
    method: 'post',
    data: data
  })
}

// 推荐优秀
export function outstanding(data) {
  return request({
    url: '/sqmyInfo/info/outstanding',
    method: 'post',
    data: data
  })
}

// 政协意见
export function zxIdea(data) {
  return request({
    url: '/sqmyInfo/info/zxIdea',
    method: 'post',
    data: data
  })
}

//提案交办
export function assign(data) {
  return request({
    url: '/sqmyInfo/info/assign',
    method: 'post',
    data: data
  })
}


//提案交办审核
export function setPass(data) {
  return request({
    url: '/sqmyInfo/info/assignsh',
    method: 'post',
    data: data
  })
}

//政府催办
export function urge(data) {
  return request({
    url: '/zxUrge/urge',
    method: 'post',
    data: data
  })
}

//承办单位提案信息列表
export function unitList(query) {
  return request({
    url: '/sqmyInfo/info/unitList',
    method: 'get',
    params: query
  })
}

// 修改社情民意信息
export function updateInfo(data) {
  return request({
    url: '/sqmyInfo/info/put',
    method: 'post',
    data: data
  })
}

// 删除社情民意信息
export function delInfo(sqmyId) {
  return request({
    url: '/sqmyInfo/info/delete/' + sqmyId,
    method: 'get'
  })
}
