import request from '@/utils/request'

// 查询委员信息列表
export function listInfo(query) {
  return request({
    url: '/member/info/list',
    method: 'get',
    params: query
  })
}


export function listInfok(query) {
  return request({
    url: '/member/info/listNoPage',
    method: 'get',
    params: query
  })
}
export function letgoeng(data) {
  return request({
    url: '/member/info/assessmentScore',
   method: 'post',
   data: data
  })
}



export function listInfoktr(query) {
  return request({
    url: '/member/info/treeSelect',
    method: 'get',
    params: query
  })
}


// 查询委员信息详细
export function getInfo(memberId) {
  return request({
    url: '/member/info/' + memberId,
    method: 'get'
  })
}
export function getinds(data) {
  return request({
    url: '/member/info/getInfoJop' ,
    method: 'post',
    data: data
  })
}

export function getindsfen(data) {
  return request({
    url: '/member/info/getMemberReport' ,
    method: 'post',
    data: data
  })
}




// 新增委员信息
export function addInfo(data) {
  return request({
    url: '/member/info',
    method: 'post',
    data: data
  })
}

// 修改委员信息
export function updateInfo(data) {
  return request({
    url: '/member/info/put',
    method: 'post',
    data: data
  })
}

// 删除委员信息
export function delInfo(memberId) {
  return request({
    url: '/member/info/delete/' + memberId,
    method: 'get'
  })
}
