import request from '@/utils/request'

// 查询岗位列表
export function listneris(query) {
  return request({
    url: '/investigate/disposition/investigateDispositionTree',
    method: 'get',
    params: query
  })
}
export function listnli(query) {
  return request({
    url: '/investigate/table/list',
    method: 'get',
    params: query
  })
}


// 查询岗位详细
export function getner(query) {
  return request({
    url: '/system/reservat/' + query ,
    method: 'get'
  })
}

// 新增岗位
export function addener(data) {
  return request({
    url: '/investigate/table',
    method: 'post',
    data: data
  })
}



export function upener(data) {
  return request({
    url: '/investigate/table/put',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatener(data) {
  return request({
    url: '/investigate/table/' + data,
    method: 'get',
    // data: data
  })
}

// 删除岗位
export function delener(query) {
  return request({
    url: '/investigate/table/delete' ,
    method: 'get',
	params: query
  })
}
