import request from '@/utils/request'

// 查询岗位列表
export function listPost(query) {
  return request({
    url: '/investigate/table/list',
    method: 'get',
    params: query
  })
}

export function listPostbfy(query) {
  return request({
    url: '/investigate/table/listPage',
    method: 'get',
    params: query
  })
}


// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/investigate/table/' + postId,
    method: 'get'
  })
}


export function updateFs(data) {
  return request({
    url: '/sendSms/sendBatchSmsTable',
    method: 'post',
    data: data
  })
}

export function updateGx(data) {
  return request({
    url: '/sendSms/sendBatchSmsTableUpdate',
    method: 'post',
    data: data
  })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/investigate/table',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatePost(data) {
  return request({
    url: '/investigate/table/put',
    method: 'post',
    data: data
  })
}

// 删除岗位
export function delPost(postId) {
  return request({
    url: '/investigate/table/delete/' + postId,
    method: 'get'
  })
}
