import request from '@/utils/request'

// 查询陵园预约列表
export function listReservat(query) {
  return request({
    url: '/system/management/list',
    method: 'get',
    params: query
  })
}
export function listReservatd(query) {
  return request({
    url: '/system/management/noPage/list',
    method: 'get',
    params: query
  })
}

export function delReservathx(query) {
  return request({
    url: '/system/management/hx',
    method: 'get',
    params: query
  })
}



export function setPass(data) {
  return request({
    url: '/system/management/sh',
    method: 'post',
    data: data
  })
}


// 查询陵园预约详细
export function getReservat(reservatId) {
  return request({
    url: '/system/management/' + reservatId,
    method: 'get'
  })
}

// 新增陵园预约
export function addReservat(data) {
  return request({
    url: '/system/management',
    method: 'post',
    data: data
  })
}

// 修改陵园预约
export function updateReservat(data) {
  return request({
    url: '/system/management/put',
    method: 'post',
    data: data
  })
}

// 删除陵园预约
export function delReservat(reservatId) {
  return request({
    url: '/system/management/delete/' + reservatId,
    method: 'get'
  })
}
