import request from '@/utils/request'

// 查询陵园预约列表
export function listReservat(data) {
  return request({
    url: '/statistics/boundary',
    method: 'post',
    data: data
  })
}




export function setPass(data) {
  return request({
    url: '/system/reservat/sh',
    method: 'post',
    data: data
  })
}
export function exportForm(data) {
  return request({
    url: '/statistics/exportForm',
    method: 'post',
    data: data
  })
}




// 查询陵园预约详细
export function getReservat(reservatId) {
  return request({
    url: '/system/reservat/' + reservatId,
    method: 'get'
  })
}

// 新增陵园预约
export function addReservat(data) {
  return request({
    url: '/system/reservat',
    method: 'post',
    data: data
  })
}

// 修改陵园预约
export function updateReservat(data) {
  return request({
    url: '/system/reservat/put',
    method: 'post',
    data: data
  })
}

// 删除陵园预约
export function delReservat(reservatId) {
  return request({
    url: '/zxNotice/notice/delete/' + reservatId,
    method: 'get'
  })
}
