import request from '@/utils/request'

// 查询政协催办列表
export function listUrge(query) {
  return request({
    url: '/zxUrge/urge/list',
    method: 'get',
    params: query
  })
}

// 查询政协催办详细
export function getUrge(zxUrgeId) {
  return request({
    url: '/zxUrge/urge/' + zxUrgeId,
    method: 'get'
  })
}

// 新增政协催办
export function addUrge(data) {
  return request({
    url: '/zxUrge/urge',
    method: 'post',
    data: data
  })
}

// 修改政协催办
export function updateUrge(data) {
  return request({
    url: '/zxUrge/urge/put',
    method: 'post',
    data: data
  })
}

// 删除政协催办
export function delUrge(zxUrgeId) {
  return request({
    url: '/zxUrge/urge/delete/' + zxUrgeId,
    method: 'get'
  })
}
